import { Auth, Connect, FoundationAnalytics, Session } from '@genesislcap/foundation-comms';
import { FASTElement } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
/**
 * @public
 */
export declare class MainApplication extends FASTElement {
    config: any;
    auth: Auth;
    connect: Connect;
    container: Container;
    analytics: FoundationAnalytics;
    session: Session;
    provider: any;
    ready: boolean;
    data: any;
    connectedCallback(): void;
    onLuminanceToggle(): void;
    loadRemotes(): Promise<void>;
    selectTemplate(): import("@microsoft/fast-element").ViewTemplate<MainApplication, any>;
    private registerDIDependencies;
}
//# sourceMappingURL=main.d.ts.map